<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Tools/AlarmClock.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d97/_alarm_clock_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">AlarmClock.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d97/_alarm_clock_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a>: <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a1b315f18bec559d262b8791d0d48d5f8">ClockBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a0b6d4e026dcd108bf2371fb8fe311386">    3</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span>        <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a0b6d4e026dcd108bf2371fb8fe311386">RINGING_SOUND</a>               = <span class="stringliteral">&quot;AlarmClock_Ring_Loop_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a2e778e7e889a7b61bddbb754394dc101">    4</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span>        <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a2e778e7e889a7b61bddbb754394dc101">TURN_TOGGLE_SOUND</a>           = <span class="stringliteral">&quot;AlarmClock_Turn_Off_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a59c4d78de612163abb182705403da5b1">    5</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span>        <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a59c4d78de612163abb182705403da5b1">DESTROYED_SOUND</a>             = <span class="stringliteral">&quot;AlarmClock_Destroyed_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#af154321ab972de2e48b8579c7ae40d7b">    6</a></span>    <span class="keyword">const</span> <span class="keywordtype">string</span>        <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#af154321ab972de2e48b8579c7ae40d7b">HIT_SOUND</a>                   = <span class="stringliteral">&quot;AlarmClock_Hit_SoundSet&quot;</span>;</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span> </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">    9</a></span>    <span class="keyword">static</span> ref <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>  <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">m_NoisePar</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">   10</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d0/deb/class_noise_system.html">NoiseSystem</a>      <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">m_NoiseSystem</a>;</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    </div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#afa12abd62a2c5e55f128d09248e62158">   12</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#afa12abd62a2c5e55f128d09248e62158">Init</a>()</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    {</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        super.Init();</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">m_NoiseSystem</a> = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a1393289b73e44697153238265f37c18e">GetNoiseSystem</a>();</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>            <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">m_NoiseSystem</a> &amp;&amp; !<a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">m_NoisePar</a> )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>            {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>                <span class="comment">// Create and load noise parameters</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>                <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">m_NoisePar</a> = <span class="keyword">new</span> <a class="code hl_function" href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>                <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">m_NoisePar</a>.LoadFromPath(<span class="stringliteral">&quot;cfgVehicles &quot;</span> + <a class="code hl_function" href="../../dd/d93/_object_8c.html#a26d5ac6b0e2c548907c421d3be7f7b3d">GetType</a>() + <span class="stringliteral">&quot; NoiseAlarmClock&quot;</span>);</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>            }</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    }</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#ac56980cbbcc430cd11279f73d7f7c9d9">   27</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#ac56980cbbcc430cd11279f73d7f7c9d9">~AlarmClock_ColorBase</a>()</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    {</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span><span class="preprocessor">        #ifndef SERVER</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aadf3eeeb5da27962b70b88d783ddfe7d">OnRingingStopClient</a>();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span><span class="preprocessor">        #endif</span></div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#ad6de42528c99b803b4a734516bb7e3cf">   35</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#ad6de42528c99b803b4a734516bb7e3cf">SetActions</a>()</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    {</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>        super.SetActions();</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/d6f/class_action_set_alarm_clock.html">ActionSetAlarmClock</a>);</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#a4cd7a493c474efb1a45c10ef85fa1280">ActionTurnOnAlarmClock</a>);</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_function" href="../../d9/da5/_action_turn_off_alarm_clock_8c.html#a23e9495706c5d5cbd96f1854e9a008d1">ActionTurnOffAlarmClock</a>);</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span> </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a8d4c354c4005504e4a26ab96d5bfe2d8">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a8d4c354c4005504e4a26ab96d5bfe2d8">GetToggleSound</a>()</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a2e778e7e889a7b61bddbb754394dc101">TURN_TOGGLE_SOUND</a>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#abebaf8df0caa4abe23aeb51c786a968f">   49</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#abebaf8df0caa4abe23aeb51c786a968f">GetRingingSound</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a0b6d4e026dcd108bf2371fb8fe311386">RINGING_SOUND</a>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a35e92699472df3c8b44838aef2a0137a">   54</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a35e92699472df3c8b44838aef2a0137a">GetDestroyedSound</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a59c4d78de612163abb182705403da5b1">DESTROYED_SOUND</a>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a0faf0f8bf03a93ad8bad8790c617630c">   59</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a0faf0f8bf03a93ad8bad8790c617630c">GetHitSound</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#af154321ab972de2e48b8579c7ae40d7b">HIT_SOUND</a>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a52ee682bf84ac6a582c83e26a11024d0">   64</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a52ee682bf84ac6a582c83e26a11024d0">GetDebugButtonNames</a>(out <span class="keywordtype">string</span> button1, out <span class="keywordtype">string</span> button2, out <span class="keywordtype">string</span> button3, out <span class="keywordtype">string</span> button4)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        button1 = <span class="stringliteral">&quot;SetAlarmAhead1Min&quot;</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#acbc6b5c069027c5a7cac59ef30ff7c2e">   69</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#acbc6b5c069027c5a7cac59ef30ff7c2e">GetExplosiveTriggerSlotName</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;TriggerAlarmClock&quot;</span>;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a6732a40677e7c6015cde28f4976f2db8">   74</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a6732a40677e7c6015cde28f4976f2db8">OnDebugButtonPressServer</a>(<span class="keywordtype">int</span> button_index)</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    {</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a504d3a4628fd86cbad5d9032455a1866">SetAlarmInXMins</a>(1);</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    }</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span> </div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a3b2fb6873b1fbbeed1988f9856962990">   79</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a3b2fb6873b1fbbeed1988f9856962990">GetDebugText</a>()</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    {</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        <span class="keywordtype">string</span> debug_output;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span>( <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>            debug_output = <span class="stringliteral">&quot;alarm in: &quot;</span> + <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aeb5e7352e58e743a3f01e916c9624baa">GetAlarmInMin</a>().ToString() + <span class="stringliteral">&quot; mins&quot;</span> + <span class="stringliteral">&quot;\n&quot;</span>;</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>            debug_output +=  <span class="stringliteral">&quot;current state: &quot;</span> +  <span class="keyword">typename</span>.EnumToString(<a class="code hl_enumeration" href="../../d9/dbc/_clock_base_8c.html#aa20327f080b8db814c426e3f42cbf307">EAlarmClockState</a>, <a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a>) + <span class="stringliteral">&quot;\n&quot;</span>;;</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>            debug_output +=  <span class="stringliteral">&quot;ringing for &quot;</span> + <a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#a5a849a7c17ccd5dc0b831086e7c0b151">m_RingingDuration</a>.<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>()+ <span class="stringliteral">&quot; secs&quot;</span> + <span class="stringliteral">&quot;\n&quot;</span>;</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            debug_output +=  <span class="stringliteral">&quot;ringing max &quot;</span> + <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#abb2e9776759d45cff68a1e0e452af0b4">GetRingingDurationMax</a>().<a class="code hl_function" href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">ToString</a>()+ <span class="stringliteral">&quot; secs&quot;</span> + <span class="stringliteral">&quot;\n&quot;</span>;</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>        {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            debug_output = <span class="stringliteral">&quot;this is client&quot;</span>;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        }</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        <span class="keywordflow">return</span> debug_output;</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    }</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a6ebe1b740262e048a7bdb581cea4e7bb">   97</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a6ebe1b740262e048a7bdb581cea4e7bb">OnUpdate</a>()</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    {</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a2c735b3c04bae5c9ca0b1c0bd4707236">IsAlarmOn</a>() )</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>            <span class="comment">//due to variable server time flow(day-night time accel), it&#39;s not possible to simply set a timer for X secs without some convoluted math/code, so we need to check at regular intervals</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>            <span class="keywordtype">int</span> alarm_hand_in_minutes = <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aad8a46e3148ac681dadd35fb44a1b4e2">ConvertAlarmHand01ToMins12h</a>(<a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#a062be7e8984c4727743e5959eb7d30f7">m_AlarmTime01</a>);</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        </div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <span class="keywordtype">int</span> pass, hour, minute;</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>            <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">GetWorld</a>().<a class="code hl_function" href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">GetDate</a>(pass, pass, pass, hour, minute);</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>            </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>            <span class="keywordtype">int</span> curr_time_in_minutes = <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#affd879f3fc8ebc0d0fdac52fc0bdf4d9">ConvertTimeToMins12h</a>(hour, minute);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>            </div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>            <span class="comment">//Print(GetAlarmInMin());</span></div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>            <span class="keywordflow">if</span> ( alarm_hand_in_minutes == curr_time_in_minutes )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>            {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>                <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aa976b549469bc09099bf57ae96f77c8b">MakeRingingStart</a>();</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            }</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        </div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        <span class="keywordflow">if</span> ( <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a08300016a271fe6376f08cfae0136cd5">IsRinging</a>())</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>        {</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>            <a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#a5a849a7c17ccd5dc0b831086e7c0b151">m_RingingDuration</a> += <a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#ac981a0842c59604e5c9aee3ef7dcedfe">UPDATE_TICK_RATE</a>;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>            </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#a5a849a7c17ccd5dc0b831086e7c0b151">m_RingingDuration</a> &gt;= <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#abb2e9776759d45cff68a1e0e452af0b4">GetRingingDurationMax</a>())</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            {</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>                <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a06810742736f9264983ffe13089011e6">TurnOff</a>();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>            }</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>            <span class="keywordflow">else</span> <span class="keywordflow">if</span> ( <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">m_NoiseSystem</a> )</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>                <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">m_NoiseSystem</a>.<a class="code hl_function" href="../../d0/deb/class_noise_system.html#a48f3d6d9cb1e8ef5ebd9cd240ce41715">AddNoiseTarget</a>( <a class="code hl_variable" href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a>(), <a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#ac981a0842c59604e5c9aee3ef7dcedfe">UPDATE_TICK_RATE</a>, <a class="code hl_variable" href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">m_NoisePar</a>);</div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            }</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>    }</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span> </div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a7ce881bae99b766e2aceb73d00ff73ed">  132</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a7ce881bae99b766e2aceb73d00ff73ed">AnimateAlarmHand</a>(<span class="keywordtype">float</span> value)</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>    {</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        SetAnimationPhaseNow(<span class="stringliteral">&quot;ClockAlarm&quot;</span>, value);</div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a3a6e98f80fa54e38e902bee8f7bcf88a">  138</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a3a6e98f80fa54e38e902bee8f7bcf88a">OnStoreLoad</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> (!super.OnStoreLoad(ctx, version))</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>        </div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        <span class="keywordflow">if</span> (version &lt; 126)</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        {</div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>        }</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span> </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        <a class="code hl_enumeration" href="../../d9/dbc/_clock_base_8c.html#aa20327f080b8db814c426e3f42cbf307">EAlarmClockState</a> state;     </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        </div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        <span class="keywordflow">if</span> ( !ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>( state ) )</div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        {</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>        }</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span> </div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>        <span class="keywordtype">float</span> time;</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>        </div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>        <span class="keywordflow">if</span> ( !ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Read</a>( time ) )</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>        {</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        }</div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span> </div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#adcffadba332a63131bb961930affa2a7">SetAlarmTimeServer</a>(time);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        <a class="code hl_function" href="../../d5/d6b/_stamina_handler_8c.html#a51121c56fd44f1678bb5e97c034e533d">SetState</a>(state);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        <span class="keywordflow">if</span> ( state == <a class="code hl_enumeration" href="../../d9/dbc/_clock_base_8c.html#aa20327f080b8db814c426e3f42cbf307">EAlarmClockState</a>.SET )</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        {</div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>            <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a672e6f350498bec76a35da1d5cf6f479">TurnOn</a>();</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>        }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>        <span class="keywordflow">else</span> <span class="keywordflow">if</span> (state == <a class="code hl_enumeration" href="../../d9/dbc/_clock_base_8c.html#aa20327f080b8db814c426e3f42cbf307">EAlarmClockState</a>.RINGING )</div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>        {</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>            <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aa976b549469bc09099bf57ae96f77c8b">MakeRingingStart</a>();</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        }</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        </div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>    </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a29c2f995b1a098217400f7e17c6edf69">  176</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a29c2f995b1a098217400f7e17c6edf69">OnStoreSave</a>(<a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx)</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        super.OnStoreSave(ctx);</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<a class="code hl_variable" href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a>);</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>        ctx.<a class="code hl_function" href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Write</a>(<a class="code hl_variable" href="../../d9/dbc/_clock_base_8c.html#a062be7e8984c4727743e5959eb7d30f7">m_AlarmTime01</a>);</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    }</div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    </div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno"><a class="line" href="../../d4/d47/class_alarm_clock___color_base.html#a54f5b8cfdea377aef85ff6ebaf5d8970">  184</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d4/d47/class_alarm_clock___color_base.html#a54f5b8cfdea377aef85ff6ebaf5d8970">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>    {</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#a672e6f350498bec76a35da1d5cf6f479">TurnOn</a>();</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <a class="code hl_function" href="../../d9/dbc/_clock_base_8c.html#aa976b549469bc09099bf57ae96f77c8b">MakeRingingStart</a>();</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>    }</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span> </div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>};</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>    </div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno"><a class="line" href="../../da/d70/class_alarm_clock___red.html">  192</a></span><span class="keyword">class </span><a class="code hl_class" href="../../da/d70/class_alarm_clock___red.html">AlarmClock_Red</a> : <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> {};</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno"><a class="line" href="../../df/d3c/class_alarm_clock___blue.html">  193</a></span><span class="keyword">class </span><a class="code hl_class" href="../../df/d3c/class_alarm_clock___blue.html">AlarmClock_Blue</a> : <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> {};</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno"><a class="line" href="../../de/d96/class_alarm_clock___green.html">  194</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d96/class_alarm_clock___green.html">AlarmClock_Green</a> : <a class="code hl_class" href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a> {};</div>
<div class="ttc" id="a_action_turn_off_alarm_clock_8c_html_a23e9495706c5d5cbd96f1854e9a008d1"><div class="ttname"><a href="../../d9/da5/_action_turn_off_alarm_clock_8c.html#a23e9495706c5d5cbd96f1854e9a008d1">ActionTurnOffAlarmClock</a></div><div class="ttdeci">ActionTurnOffAlarmClockCB ActionSingleUseBaseCB ActionTurnOffAlarmClock()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/da5/_action_turn_off_alarm_clock_8c_source.html#l00001">ActionTurnOffAlarmClock.c:11</a></div></div>
<div class="ttc" id="a_action_turn_on_alarm_clock_8c_html_a4cd7a493c474efb1a45c10ef85fa1280"><div class="ttname"><a href="../../d2/d04/_action_turn_on_alarm_clock_8c.html#a4cd7a493c474efb1a45c10ef85fa1280">ActionTurnOnAlarmClock</a></div><div class="ttdeci">ActionTurnOnAlarmClockCB ActionSingleUseBaseCB ActionTurnOnAlarmClock()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/_action_turn_on_alarm_clock_8c_source.html#l00001">ActionTurnOnAlarmClock.c:11</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a062be7e8984c4727743e5959eb7d30f7"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a062be7e8984c4727743e5959eb7d30f7">m_AlarmTime01</a></div><div class="ttdeci">enum EAlarmClockState m_AlarmTime01</div></div>
<div class="ttc" id="a_clock_base_8c_html_a06810742736f9264983ffe13089011e6"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a06810742736f9264983ffe13089011e6">TurnOff</a></div><div class="ttdeci">void TurnOff()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00305">ClockBase.c:305</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a08300016a271fe6376f08cfae0136cd5"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a08300016a271fe6376f08cfae0136cd5">IsRinging</a></div><div class="ttdeci">bool IsRinging()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00290">ClockBase.c:290</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a1b315f18bec559d262b8791d0d48d5f8"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a1b315f18bec559d262b8791d0d48d5f8">ClockBase</a></div><div class="ttdeci">void ClockBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00027">ClockBase.c:27</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a2c735b3c04bae5c9ca0b1c0bd4707236"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a2c735b3c04bae5c9ca0b1c0bd4707236">IsAlarmOn</a></div><div class="ttdeci">bool IsAlarmOn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00295">ClockBase.c:295</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a504d3a4628fd86cbad5d9032455a1866"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a504d3a4628fd86cbad5d9032455a1866">SetAlarmInXMins</a></div><div class="ttdeci">void SetAlarmInXMins(int in_mins)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00170">ClockBase.c:170</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a5a849a7c17ccd5dc0b831086e7c0b151"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a5a849a7c17ccd5dc0b831086e7c0b151">m_RingingDuration</a></div><div class="ttdeci">float m_RingingDuration</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00016">ClockBase.c:16</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_a672e6f350498bec76a35da1d5cf6f479"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#a672e6f350498bec76a35da1d5cf6f479">TurnOn</a></div><div class="ttdeci">void TurnOn()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00300">ClockBase.c:300</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_aa20327f080b8db814c426e3f42cbf307"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#aa20327f080b8db814c426e3f42cbf307">EAlarmClockState</a></div><div class="ttdeci">EAlarmClockState</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00001">ClockBase.c:2</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_aa976b549469bc09099bf57ae96f77c8b"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#aa976b549469bc09099bf57ae96f77c8b">MakeRingingStart</a></div><div class="ttdeci">protected void MakeRingingStart()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00222">ClockBase.c:222</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_aad8a46e3148ac681dadd35fb44a1b4e2"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#aad8a46e3148ac681dadd35fb44a1b4e2">ConvertAlarmHand01ToMins12h</a></div><div class="ttdeci">static int ConvertAlarmHand01ToMins12h(float time01)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00065">ClockBase.c:65</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_aadf3eeeb5da27962b70b88d783ddfe7d"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#aadf3eeeb5da27962b70b88d783ddfe7d">OnRingingStopClient</a></div><div class="ttdeci">protected void OnRingingStopClient()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00165">ClockBase.c:165</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_abb2e9776759d45cff68a1e0e452af0b4"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#abb2e9776759d45cff68a1e0e452af0b4">GetRingingDurationMax</a></div><div class="ttdeci">float GetRingingDurationMax()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00180">ClockBase.c:180</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_ac981a0842c59604e5c9aee3ef7dcedfe"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#ac981a0842c59604e5c9aee3ef7dcedfe">UPDATE_TICK_RATE</a></div><div class="ttdeci">static const float UPDATE_TICK_RATE</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00014">ClockBase.c:14</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_adcffadba332a63131bb961930affa2a7"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#adcffadba332a63131bb961930affa2a7">SetAlarmTimeServer</a></div><div class="ttdeci">void SetAlarmTimeServer(float time01)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00319">ClockBase.c:319</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_aeb5e7352e58e743a3f01e916c9624baa"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#aeb5e7352e58e743a3f01e916c9624baa">GetAlarmInMin</a></div><div class="ttdeci">protected int GetAlarmInMin()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00053">ClockBase.c:53</a></div></div>
<div class="ttc" id="a_clock_base_8c_html_affd879f3fc8ebc0d0fdac52fc0bdf4d9"><div class="ttname"><a href="../../d9/dbc/_clock_base_8c.html#affd879f3fc8ebc0d0fdac52fc0bdf4d9">ConvertTimeToMins12h</a></div><div class="ttdeci">static int ConvertTimeToMins12h(int hour, int minute)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dbc/_clock_base_8c_source.html#l00081">ClockBase.c:81</a></div></div>
<div class="ttc" id="a_noise_8c_html_aceda78b4f4625e1c9901f7bf4a7f5cf0"><div class="ttname"><a href="../../d9/d27/_noise_8c.html#aceda78b4f4625e1c9901f7bf4a7f5cf0">NoiseParams</a></div><div class="ttdeci">class NoiseSystem NoiseParams()</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:15</a></div></div>
<div class="ttc" id="a_object_8c_html_a26d5ac6b0e2c548907c421d3be7f7b3d"><div class="ttname"><a href="../../dd/d93/_object_8c.html#a26d5ac6b0e2c548907c421d3be7f7b3d">GetType</a></div><div class="ttdeci">string GetType()</div><div class="ttdoc">Get config class of object.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d93/_object_8c_source.html#l00334">Object.c:334</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_a51121c56fd44f1678bb5e97c034e533d"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#a51121c56fd44f1678bb5e97c034e533d">SetState</a></div><div class="ttdeci">void SetState(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00030">StaminaHandler.c:30</a></div></div>
<div class="ttc" id="a_stamina_handler_8c_html_aff669510956ec2c2cc6c60ed37ca7d63"><div class="ttname"><a href="../../d5/d6b/_stamina_handler_8c.html#aff669510956ec2c2cc6c60ed37ca7d63">m_State</a></div><div class="ttdeci">protected float m_DrainThreshold protected bool m_State</div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d6b/_stamina_handler_8c_source.html#l00020">StaminaHandler.c:20</a></div></div>
<div class="ttc" id="a_underground_area_loader_8c_html_af4b5180d61f839c99de2d15fdcda4568"><div class="ttname"><a href="../../d3/d3a/_underground_area_loader_8c.html#af4b5180d61f839c99de2d15fdcda4568">GetPosition</a></div><div class="ttdeci">class JsonUndergroundAreaTriggerData GetPosition</div><div class="ttdoc">Retrieve position.</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d3a/_underground_area_loader_8c_source.html#l00001">UndergroundAreaLoader.c:9</a></div></div>
<div class="ttc" id="aclass_action_set_alarm_clock_html"><div class="ttname"><a href="../../da/d6f/class_action_set_alarm_clock.html">ActionSetAlarmClock</a></div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d20/_action_set_alarm_clock_8c_source.html#l00013">ActionSetAlarmClock.c:14</a></div></div>
<div class="ttc" id="aclass_alarm_clock___blue_html"><div class="ttname"><a href="../../df/d3c/class_alarm_clock___blue.html">AlarmClock_Blue</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00193">AlarmClock.c:193</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html">AlarmClock_ColorBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00001">AlarmClock.c:2</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a0b6d4e026dcd108bf2371fb8fe311386"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a0b6d4e026dcd108bf2371fb8fe311386">AlarmClock_ColorBase::RINGING_SOUND</a></div><div class="ttdeci">const string RINGING_SOUND</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00003">AlarmClock.c:3</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a0faf0f8bf03a93ad8bad8790c617630c"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a0faf0f8bf03a93ad8bad8790c617630c">AlarmClock_ColorBase::GetHitSound</a></div><div class="ttdeci">override string GetHitSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00059">AlarmClock.c:59</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a29c2f995b1a098217400f7e17c6edf69"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a29c2f995b1a098217400f7e17c6edf69">AlarmClock_ColorBase::OnStoreSave</a></div><div class="ttdeci">override void OnStoreSave(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00176">AlarmClock.c:176</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a2e778e7e889a7b61bddbb754394dc101"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a2e778e7e889a7b61bddbb754394dc101">AlarmClock_ColorBase::TURN_TOGGLE_SOUND</a></div><div class="ttdeci">const string TURN_TOGGLE_SOUND</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00004">AlarmClock.c:4</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a35e92699472df3c8b44838aef2a0137a"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a35e92699472df3c8b44838aef2a0137a">AlarmClock_ColorBase::GetDestroyedSound</a></div><div class="ttdeci">override string GetDestroyedSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00054">AlarmClock.c:54</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a3a6e98f80fa54e38e902bee8f7bcf88a"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a3a6e98f80fa54e38e902bee8f7bcf88a">AlarmClock_ColorBase::OnStoreLoad</a></div><div class="ttdeci">override bool OnStoreLoad(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00138">AlarmClock.c:138</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a3b2fb6873b1fbbeed1988f9856962990"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a3b2fb6873b1fbbeed1988f9856962990">AlarmClock_ColorBase::GetDebugText</a></div><div class="ttdeci">override string GetDebugText()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00079">AlarmClock.c:79</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a52ee682bf84ac6a582c83e26a11024d0"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a52ee682bf84ac6a582c83e26a11024d0">AlarmClock_ColorBase::GetDebugButtonNames</a></div><div class="ttdeci">override void GetDebugButtonNames(out string button1, out string button2, out string button3, out string button4)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00064">AlarmClock.c:64</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a54f5b8cfdea377aef85ff6ebaf5d8970"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a54f5b8cfdea377aef85ff6ebaf5d8970">AlarmClock_ColorBase::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00184">AlarmClock.c:184</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a59c4d78de612163abb182705403da5b1"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a59c4d78de612163abb182705403da5b1">AlarmClock_ColorBase::DESTROYED_SOUND</a></div><div class="ttdeci">const string DESTROYED_SOUND</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00005">AlarmClock.c:5</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a6732a40677e7c6015cde28f4976f2db8"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a6732a40677e7c6015cde28f4976f2db8">AlarmClock_ColorBase::OnDebugButtonPressServer</a></div><div class="ttdeci">override void OnDebugButtonPressServer(int button_index)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00074">AlarmClock.c:74</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a6ebe1b740262e048a7bdb581cea4e7bb"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a6ebe1b740262e048a7bdb581cea4e7bb">AlarmClock_ColorBase::OnUpdate</a></div><div class="ttdeci">void OnUpdate()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00097">AlarmClock.c:97</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a7ce881bae99b766e2aceb73d00ff73ed"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a7ce881bae99b766e2aceb73d00ff73ed">AlarmClock_ColorBase::AnimateAlarmHand</a></div><div class="ttdeci">protected void AnimateAlarmHand(float value)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00132">AlarmClock.c:132</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a88b3b699b2eaab305b1884b865e5b111"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a88b3b699b2eaab305b1884b865e5b111">AlarmClock_ColorBase::m_NoisePar</a></div><div class="ttdeci">static ref NoiseParams m_NoisePar</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00009">AlarmClock.c:9</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_a8d4c354c4005504e4a26ab96d5bfe2d8"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#a8d4c354c4005504e4a26ab96d5bfe2d8">AlarmClock_ColorBase::GetToggleSound</a></div><div class="ttdeci">override string GetToggleSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00044">AlarmClock.c:44</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_abebaf8df0caa4abe23aeb51c786a968f"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#abebaf8df0caa4abe23aeb51c786a968f">AlarmClock_ColorBase::GetRingingSound</a></div><div class="ttdeci">override string GetRingingSound()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00049">AlarmClock.c:49</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_ac56980cbbcc430cd11279f73d7f7c9d9"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#ac56980cbbcc430cd11279f73d7f7c9d9">AlarmClock_ColorBase::~AlarmClock_ColorBase</a></div><div class="ttdeci">void ~AlarmClock_ColorBase()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00027">AlarmClock.c:27</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_acbc6b5c069027c5a7cac59ef30ff7c2e"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#acbc6b5c069027c5a7cac59ef30ff7c2e">AlarmClock_ColorBase::GetExplosiveTriggerSlotName</a></div><div class="ttdeci">override string GetExplosiveTriggerSlotName()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00069">AlarmClock.c:69</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_ad0f229110c5ce8e2922b949ff1ad09e5"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#ad0f229110c5ce8e2922b949ff1ad09e5">AlarmClock_ColorBase::m_NoiseSystem</a></div><div class="ttdeci">static NoiseSystem m_NoiseSystem</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00010">AlarmClock.c:10</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_ad6de42528c99b803b4a734516bb7e3cf"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#ad6de42528c99b803b4a734516bb7e3cf">AlarmClock_ColorBase::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00035">AlarmClock.c:35</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_af154321ab972de2e48b8579c7ae40d7b"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#af154321ab972de2e48b8579c7ae40d7b">AlarmClock_ColorBase::HIT_SOUND</a></div><div class="ttdeci">const string HIT_SOUND</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00006">AlarmClock.c:6</a></div></div>
<div class="ttc" id="aclass_alarm_clock___color_base_html_afa12abd62a2c5e55f128d09248e62158"><div class="ttname"><a href="../../d4/d47/class_alarm_clock___color_base.html#afa12abd62a2c5e55f128d09248e62158">AlarmClock_ColorBase::Init</a></div><div class="ttdeci">override void Init()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00012">AlarmClock.c:12</a></div></div>
<div class="ttc" id="aclass_alarm_clock___green_html"><div class="ttname"><a href="../../de/d96/class_alarm_clock___green.html">AlarmClock_Green</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00194">AlarmClock.c:194</a></div></div>
<div class="ttc" id="aclass_alarm_clock___red_html"><div class="ttname"><a href="../../da/d70/class_alarm_clock___red.html">AlarmClock_Red</a></div><div class="ttdef"><b>Definition:</b> <a href="../../de/d97/_alarm_clock_8c_source.html#l00192">AlarmClock.c:192</a></div></div>
<div class="ttc" id="aclass_c_game_html_a1393289b73e44697153238265f37c18e"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a1393289b73e44697153238265f37c18e">CGame::GetNoiseSystem</a></div><div class="ttdeci">proto native NoiseSystem GetNoiseSystem()</div></div>
<div class="ttc" id="aclass_c_game_html_a322bb8e52393bc8d5f47d7f10d49fba3"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a322bb8e52393bc8d5f47d7f10d49fba3">CGame::GetWorld</a></div><div class="ttdeci">proto native World GetWorld()</div></div>
<div class="ttc" id="aclass_noise_system_html"><div class="ttname"><a href="../../d0/deb/class_noise_system.html">NoiseSystem</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d27/_noise_8c_source.html#l00001">Noise.c:2</a></div></div>
<div class="ttc" id="aclass_noise_system_html_a48f3d6d9cb1e8ef5ebd9cd240ce41715"><div class="ttname"><a href="../../d0/deb/class_noise_system.html#a48f3d6d9cb1e8ef5ebd9cd240ce41715">NoiseSystem::AddNoiseTarget</a></div><div class="ttdeci">proto void AddNoiseTarget(vector pos, float lifetime, NoiseParams noise_params, float external_strength_multiplier=1.0)</div><div class="ttdoc">Will make a noise at that position which the AI will &quot;see&quot; for the duration of 'lifetime'.</div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclass_serializer_html_a3568bd9439217225013ea9906eb09a3f"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a3568bd9439217225013ea9906eb09a3f">Serializer::Write</a></div><div class="ttdeci">proto bool Write(void value_out)</div></div>
<div class="ttc" id="aclass_serializer_html_a9a38a9c5322133ee30fe87a3a4c0659e"><div class="ttname"><a href="../../d0/dc2/class_serializer.html#a9a38a9c5322133ee30fe87a3a4c0659e">Serializer::Read</a></div><div class="ttdeci">proto bool Read(void value_in)</div></div>
<div class="ttc" id="aclass_world_html_af8c8e4358cb14de9ab965669b9303ecf"><div class="ttname"><a href="../../d3/d21/class_world.html#af8c8e4358cb14de9ab965669b9303ecf">World::GetDate</a></div><div class="ttdeci">proto void GetDate(out int year, out int month, out int day, out int hour, out int minute)</div><div class="ttdoc">Get actual ingame world time.</div></div>
<div class="ttc" id="aclassfloat_html_a9aba6f516b6f38a950c55fa9d0b24afb"><div class="ttname"><a href="../../d4/dc3/classfloat.html#a9aba6f516b6f38a950c55fa9d0b24afb">float::ToString</a></div><div class="ttdeci">proto string ToString()</div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_e36a2cddfdd187ac0db92f8d1eafd039.html">Tools</a></li><li class="navelem"><a class="el" href="../../de/d97/_alarm_clock_8c.html">AlarmClock.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
